Mapping port externe vers port SSH VPS
Service pour lister les ports proxy SSH et modifier le port SSH interne du VPS cible.
Routes disponibles
| Methode | URL | Permission |
|---|---|---|
| GET | /v1/services/proxy-ssh-ipv4 |
proxy_ssh.read |
|
Parametres URL
Aucun Body JSON
Aucun Reponse
Liste des mappings proxy SSH IPv4: host, port externe, port interne VPS et |
||
| PATCH | /v1/services/proxy-ssh-ipv4/vps/{vps_name} |
proxy_ssh.manage |
|
Parametres URL
Body JSON
{
"port_vps_ssh": 2222
}
|
||
Payload mise a jour port SSH VPS
{
"port_vps_ssh": 2222
}
Port valide de 1 a 65535. Exemple de route: /v1/services/proxy-ssh-ipv4/vps/VPS-0000.
Exemples cURL
Lister les mappings
curl -X GET https://api.vps1euro.fr/v1/services/proxy-ssh-ipv4 \ -H "Authorization: Bearer YOUR_API_KEY"
Changer le port SSH interne
curl -X PATCH https://api.vps1euro.fr/v1/services/proxy-ssh-ipv4/vps/VPS-0000 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"port_vps_ssh":2222}'